---
title: List API keys
url: https://runapi.ai/docs/api/management/keys/list.md
canonical: https://runapi.ai/docs/api/management/keys/list
locale: en
---

# List API keys

List your active Standard API keys in the current account.

## Endpoint

GET /api/v1/keys

Base URL: https://runapi.ai

API version: v1

Authentication: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


Authorization: Requires an account-admin Management API key and returns only Standard API keys owned by its user.

## Request

Send values only in the listed request location.

### Query parameters

```json
{
  "limit": {
    "default": 20,
    "description": "Maximum API keys returned per page.",
    "max": 100,
    "min": 1,
    "required": false,
    "type": "integer"
  },
  "page": {
    "default": 1,
    "description": "Offset page number. Values start at 1.",
    "min": 1,
    "required": false,
    "type": "integer"
  }
}
```

## Success response

HTTP 200 - GET /api/v1/keys

```json
{
  "keys": [
    {
      "allowed_models": [
        "gpt-5.4"
      ],
      "created_at": "2026-07-27T10:00:00.000Z",
      "credit_limit_cents": 1000,
      "credit_limit_reset_interval": "daily",
      "enabled": true,
      "guardrail_id": "guardrail_123",
      "id": "token_123",
      "last_used_at": null,
      "masked_token": "runapi_abc...wxyz",
      "name": "Production"
    }
  ],
  "pagination": {
    "limit": 20,
    "page": 1,
    "pages": 1,
    "total": 1
  }
}
```

## Error response (401)

HTTP 401

```json
{
  "error": "Authentication required"
}
```

## Error response (403)

HTTP 403

```json
{
  "error": "Management API key required"
}
```

## Error response (403)

HTTP 403

```json
{
  "error": "Account admin required"
}
```

## Error response (400)

HTTP 400

```json
{
  "error": "page must be an integer"
}
```

## cURL example



### curl

```curl
curl -X GET https://runapi.ai/api/v1/keys?page=1&limit=20 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'
```

## Related reference

- [API Keys](/docs/api/management/keys)
- [API Key object](/docs/api/management/keys/object)
